#!/usr/bin/env python3

from gi.repository import GtkClutter, Gtk

class ComipoliGoButton(GtkClutter.Actor):
    def __init__(self, right):
        GtkClutter.Actor.__init__(self)
        if right:
            self.button = Gtk.Button.new_from_icon_name("go-next-symbolic", Gtk.IconSize.MENU)
        else:
            self.button = Gtk.Button.new_from_icon_name("go-previous-symbolic", Gtk.IconSize.MENU)
        self.props.contents = self.button
        self.button.show()
        self.button.connect("enter-notify-event", self.on_button_enter_notify_event)
        self.button.connect("leave-notify-event", self.on_button_leave_notify_event)
        self.props.opacity = 0x00

    def on_button_enter_notify_event(self, actor, event):
        self.props.opacity = 0xaa #0xff

    def on_button_leave_notify_event(self, actor, event):
        self.props.opacity = 0x00

