#!/usr/bin/env python3

from gi.repository import Gtk, Gdk

class ComipoliHeaderBar(Gtk.HeaderBar):
    def __init__(self):
        Gtk.HeaderBar.__init__(self, show_close_button=True, has_subtitle=True, subtitle="--")
        #
        self.open_button = Gtk.Button(label="_Open", use_underline=True, focus_on_click=False)
        self.pack_start(self.open_button)
        #
        self.lr_button = Gtk.ToggleButton(label="L<-R", focus_on_click=False)
        self.pack_start(self.lr_button)
        #
        image_view = Gtk.Image.new_from_icon_name("view-grid-symbolic", Gtk.IconSize.MENU)
        self.grid_button = Gtk.Button(image=image_view, focus_on_click=False)
        self.pack_end(self.grid_button)

