#!/usr/bin/env python3

from gi.repository import Gtk

class ComipoliShortcuts(Gtk.ShortcutsWindow):
    def __init__(self):
        Gtk.ShortcutsWindow.__init__(self)
        # section
        section = Gtk.ShortcutsSection(visible=True, max_height=10, section_name="Name")
        #
        appli = Gtk.ShortcutsGroup(title="Application")
        appli.add(Gtk.ShortcutsShortcut(accelerator="<ctl>q", title="Exit"))
        appli.add(Gtk.ShortcutsShortcut(accelerator="Escape", title="Releace FullScreen or Exit"))
        appli.add(Gtk.ShortcutsShortcut(accelerator="F11", title="Change FullScreen"))
        appli.add(Gtk.ShortcutsShortcut(accelerator="F9", title="Show Thumbnail"))
        appli.add(Gtk.ShortcutsShortcut(accelerator="F8", title="Change L R Page"))
        appli.add(Gtk.ShortcutsShortcut(accelerator="<ctl>o", title="Show FileChooser Dialog"))
        section.add(appli)
        #
        page = Gtk.ShortcutsGroup(title="Page")
        #page.add(Gtk.ShortcutsShortcut(shortcut_type=Gtk.ShortcutType.GESTURE_TWO_FINGER_SWIPE_RIGHT, title="Next Page"))
        #page.add(Gtk.ShortcutsShortcut(shortcut_type=Gtk.ShortcutType.GESTURE_TWO_FINGER_SWIPE_LEFT, title="Previos Page"))
        page.add(Gtk.ShortcutsShortcut(accelerator="Down space", title="Next Page"))
        page.add(Gtk.ShortcutsShortcut(accelerator="Up BackSpace", title="Previos Page"))
        page.add(Gtk.ShortcutsShortcut(accelerator="Right", title="Next Page (or Previos Page)"))
        page.add(Gtk.ShortcutsShortcut(accelerator="Left", title="Previos Page (or Next Page)"))
        page.add(Gtk.ShortcutsShortcut(accelerator="<ctl>Down <ctl>space", title="Step Next Page"))
        page.add(Gtk.ShortcutsShortcut(accelerator="<ctl>Up <ctl>BackSpace", title="Step Previos Page"))
        page.add(Gtk.ShortcutsShortcut(accelerator="<ctl>Right", title="Step Next Page (or Step Previos Page)"))
        page.add(Gtk.ShortcutsShortcut(accelerator="<ctl>Left", title="Step Previos Page (or Step Next Page)"))
        page.add(Gtk.ShortcutsShortcut(accelerator="Home", title="First Page"))
        page.add(Gtk.ShortcutsShortcut(accelerator="End", title="Last Page"))
        section.add(page)
        #
        self.add(section)

